GroupAIRaidTweakData = GroupAIRaidTweakData or class()

function GroupAIRaidTweakData:init(difficulty_index)
	local is_console = SystemInfo:platform() ~= Idstring("WIN32")
	self.regroup = {}
	self.assault = {
		force = {}
	}
	self.reenforce = {}
	self.recon = {}
	self.rescue = {}
	self.cloaker = {}
	self.max_spawning_distance = 8000
	self.min_spawning_distance = 1500
	self.max_spawning_height_diff = 700

	if difficulty_index <= TweakData.DIFFICULTY_1 then
		self.recurring_group_SO = {
			recurring_spawn_1 = {
				interval = {
					30,
					60
				}
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.recurring_group_SO = {
			recurring_spawn_1 = {
				interval = {
					30,
					60
				}
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.recurring_group_SO = {
			recurring_spawn_1 = {
				interval = {
					30,
					60
				}
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.recurring_group_SO = {
			recurring_spawn_1 = {
				interval = {
					30,
					60
				}
			}
		}
	else
		debug_pause("[GroupAIRaidTweakData:init] Unknown difficulty_index", difficulty_index)
	end

	self.regroup.duration = {
		15,
		15,
		15
	}
	self.assault = {
		anticipation_duration = {
			{
				15,
				1
			},
			{
				15,
				1
			},
			{
				15,
				1
			}
		},
		build_duration = 15,
		sustain_duration_min = {
			60,
			100,
			140
		},
		sustain_duration_max = {
			90,
			120,
			160
		},
		sustain_duration_balance_mul = {
			1,
			1.1,
			1.2,
			1.3
		},
		fade_duration = 5
	}

	if difficulty_index <= TweakData.DIFFICULTY_1 then
		self.assault.delay = {
			40,
			35,
			30
		}
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.assault.delay = {
			40,
			30,
			20
		}
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.assault.delay = {
			35,
			25,
			25
		}
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.assault.delay = {
			30,
			20,
			10
		}
	end

	self.assault.hostage_hesitation_delay = {
		0,
		0,
		0
	}

	if is_console then
		self.assault.force = {
			0,
			4,
			7
		}
		self.assault.force_pool = {
			0,
			60,
			100
		}
	else
		self.assault.force = {
			12,
			13,
			15
		}
		self.assault.force_pool = {
			100,
			125,
			175
		}
	end

	if is_console then
		if difficulty_index <= TweakData.DIFFICULTY_1 then
			self.assault.force_balance_mul = {
				1,
				1.1,
				1.2,
				1.3
			}
			self.assault.force_pool_balance_mul = {
				1,
				1.1,
				1.2,
				1.3
			}
		elseif difficulty_index == TweakData.DIFFICULTY_2 then
			self.assault.force_balance_mul = {
				1.2,
				1.4,
				1.6,
				1.8
			}
			self.assault.force_pool_balance_mul = {
				1.2,
				1.4,
				1.6,
				1.8
			}
		elseif difficulty_index == TweakData.DIFFICULTY_3 then
			self.assault.force_balance_mul = {
				1.6,
				1.8,
				2,
				2.2
			}
			self.assault.force_pool_balance_mul = {
				1.7,
				2,
				2.2,
				2.4
			}
		elseif difficulty_index == TweakData.DIFFICULTY_4 then
			self.assault.force_balance_mul = {
				1.8,
				2.1,
				2.4,
				2.8
			}
			self.assault.force_pool_balance_mul = {
				2.2,
				2.4,
				2.6,
				2.8
			}
		else
			self.assault.force_balance_mul = {
				1,
				4.2,
				4.5,
				4.9
			}
			self.assault.force_pool_balance_mul = {
				3,
				5,
				7,
				9
			}
		end
	elseif difficulty_index <= TweakData.DIFFICULTY_1 then
		self.assault.force_balance_mul = {
			0.7,
			1,
			1.3,
			1.7
		}
		self.assault.force_pool_balance_mul = {
			0.5,
			0.65,
			0.7,
			0.9
		}
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.assault.force_balance_mul = {
			0.8,
			1.1,
			1.4,
			1.8
		}
		self.assault.force_pool_balance_mul = {
			0.6,
			1,
			1.4,
			1.8
		}
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.assault.force_balance_mul = {
			1.1,
			1.7,
			2.2,
			2.7
		}
		self.assault.force_pool_balance_mul = {
			1.2,
			1.7,
			2.2,
			2.7
		}
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.assault.force_balance_mul = {
			1.4,
			2.4,
			2.8,
			3
		}
		self.assault.force_pool_balance_mul = {
			1.8,
			2.8,
			3.3,
			3.8
		}
	end

	if difficulty_index <= TweakData.DIFFICULTY_1 then
		self.assault.groups = {
			grunt_flankers = { --difficulty 1 grunt flanker
				30,
				30,
				11.5
			},
			grunt_chargers = { --difficulty 1 grunt charge
				30,
				30,
				0
			},
			grunt_support_range = { --difficulty 1 grunt support
				30,
				30,
				11.5
			},
			gerbish_chargers = { --difficulty 1 gerbish chargers
				0,
				0,
				20
			},
			gerbish_rifle_range = { --difficulty 1 gerbish rifle range
				0,
				0,
				11.5
			},
			gerbish_flankers = { --difficulty 1 gerbish flankers
				0,
				0,
				11.5
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				0,
				0,
				0
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			},
			flamethrower = { --difficulty 1 flamer 
				0,
				0,
				16
			},
			commanders = { --difficulty 1 commander
				8,
				8,
				18
			},
			commander_squad = { --difficulty 1 commander squad
				0,
				0,
				0
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.assault.groups = {
			grunt_flankers = { --difficulty 2 grunt flanker
				30,
				30,
				11.5
			},
			grunt_chargers = { --difficulty 2 grunt charge
				30,
				30,
				0
			},
			grunt_support_range = { --difficulty 2 grunt support
				30,
				30,
				11.5
			},
			gerbish_chargers = { --difficulty 2 gerbish chargers
				0,
				0,
				20
			},
			gerbish_rifle_range = { --difficulty 2 gerbish rifle range
				0,
				0,
				11.5
			},
			gerbish_flankers = { --difficulty 2 gerbish flankers
				0,
				0,
				11.5
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				0,
				0,
				0
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			},
			flamethrower = { --difficulty 2 flamer 
				2,
				2,
				10
			},
			commanders = { --difficulty 2 commander
				4,
				4,
				12
			},
			commander_squad = { --difficulty 2 commander squad
				4,
				4,
				12
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.assault.groups = {
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_flankers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				0,
				0,
				0
			},
			gerbish_chargers = { --difficulty 3 gerbish chargers
				30,
				30,
				0
			},
			gerbish_rifle_range = { --difficulty 3 gerbish rifle range
				30,
				30,
				11.5
			},
			gerbish_flankers = { --difficulty 3 gerbish flankers
				30,
				30,
				11.5
			},
			fallschirm_charge = { --difficulty 3 fallschirm chargers
				0,
				0,
				20
			},
			fallschirm_support = { --difficulty 3 fallschirm support
				0,
				0,
				11.5
			},
			fallschirm_flankers = { --difficulty 3 fallschirm flankers
				0,
				0,
				11.5
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = { 
				0,
				0,
				0
			},
			flamethrower = { --difficulty 3 flamer 
				3,
				3,
				11
			},
			commanders = { --difficulty 3 commander
				3.5,
				3.5,
				11.5
			},
			commander_squad = { --difficulty 3 commander squad
				3.5,
				3.5,
				11.5
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.assault.groups = {
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_flankers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				0,
				0,
				0
			},
			gerbish_chargers = {
				0,
				0,
				0
			},
			gerbish_rifle_range = {
				0,
				0,
				0
			},
			gerbish_flankers = { 
				0,
				0,
				0
			},
			fallschirm_charge = { --difficulty 4 fallschirm chargers
				30,
				30,
				0
			},
			fallschirm_support = { --difficulty 4 fallschirm support
				30,
				30,
				10
			},
			fallschirm_flankers = { --difficulty 4 fallschirm flankers
				30,
				30,
				10
			},
			ss_flankers = { --difficulty 4 ss flankers
				0,
				0,
				10
			},
			ss_rifle_range = { --difficulty 4 rifle range
				0,
				0,
				10
			},
			ss_chargers = { --difficulty 4 ss chargers
				0,
				0,
				20
			},
			flamethrower = { --difficulty 4 flamer 
				3,
				3,
				13
			},
			commanders = { --difficulty 4 commander
				3.5,
				3.5,
				13.5
			},
			commander_squad = { --difficulty 4 commander squad
				3.5,
				3.5,
				13.5
			}
		}
	end

	self.reenforce.interval = {
		10,
		20,
		30
	}

	if difficulty_index <= TweakData.DIFFICULTY_1 then
		self.reenforce.groups = {
			grunt_flankers = {
				0,
				0,
				0
			},
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				100,
				100,
				0
			},
			gerbish_chargers = {
				0,
				0,
				0
			},
			gerbish_rifle_range = {
				0,
				0,
				100
			},
			gerbish_flankers = {
				0,
				0,
				0
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				0,
				0,
				0
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.reenforce.groups = {
			grunt_flankers = {
				50,
				50,
				0
			},
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				50,
				50,
				0
			},
			gerbish_chargers = {
				0,
				0,
				0
			},
			gerbish_rifle_range = {
				0,
				0,
				50
			},
			gerbish_flankers = {
				0,
				0,
				50
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				0,
				0,
				0
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.reenforce.groups = {
			grunt_flankers = {
				0,
				0,
				0
			},
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				0,
				0,
				0
			},
			gerbish_chargers = {
				0,
				0,
				0
			},
			gerbish_rifle_range = {
				50,
				50,
				0
			},
			gerbish_flankers = {
				50,
				50,
				0
			},
			fallschirm_charge = {
				0,
				0,
				50
			},
			fallschirm_support = {
				0,
				0,
				50
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.reenforce.groups = {
			grunt_flankers = {
				0,
				0,
				0
			},
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				0,
				0,
				0
			},
			gerbish_chargers = {
				0,
				0,
				0
			},
			gerbish_rifle_range = {
				0,
				0,
				0
			},
			gerbish_flankers = {
				0,
				0,
				0
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				50,
				50,
				0
			},
			fallschirm_flankers = {
				50,
				50,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				50
			},
			ss_chargers = {
				0,
				0,
				50
			}
		}
	end

	self.recon.interval = {
		5,
		5,
		5
	}
	self.recon.interval_variation = 40

	if difficulty_index < 6 then
		self.recon.force = {
			2,
			4,
			6
		}
	else
		self.recon.force = {
			3,
			4,
			6
		}
	end

	if difficulty_index <= TweakData.DIFFICULTY_1 then
		self.recon.groups = {
			grunt_flankers = {
				45,
				45,
				55
			},
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				55,
				55,
				0
			},
			gerbish_chargers = {
				0,
				0,
				0
			},
			gerbish_rifle_range = {
				0,
				0,
				0
			},
			gerbish_flankers = {
				0,
				0,
				0
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				0,
				0,
				0
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			},
			flamethrower = {
				0,
				0,
				0
			},
			commanders = {
				0,
				0,
				0
			},
			commander_squad = {
				0,
				0,
				0
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.recon.groups = {
			grunt_flankers = {
				50,
				50,
				50
			},
			grunt_chargers = {
				0,
				0,
				50
			},
			grunt_support_range = {
				50,
				50,
				0
			},
			gerbish_chargers = {
				0,
				0,
				0
			},
			gerbish_rifle_range = {
				0,
				0,
				0
			},
			gerbish_flankers = {
				0,
				0,
				0
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				0,
				0,
				0
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			},
			flamethrower = {
				0,
				0,
				0
			},
			commanders = {
				0,
				0,
				0
			},
			commander_squad = {
				0,
				0,
				0
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.recon.groups = {
			grunt_flankers = {
				50,
				50,
				0
			},
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				50,
				50,
				0
			},
			gerbish_chargers = {
				0,
				0,
				50
			},
			gerbish_rifle_range = {
				0,
				0,
				50
			},
			gerbish_flankers = {
				0,
				0,
				0
			},
			fallschirm_charge = {
				0,
				0,
				0
			},
			fallschirm_support = {
				0,
				0,
				0
			},
			fallschirm_flankers = {
				0,
				0,
				0
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			},
			flamethrower = {
				0,
				0,
				0
			},
			commanders = {
				0,
				0,
				0
			},
			commander_squad = {
				0,
				0,
				0
			}
		}
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.recon.groups = {
			grunt_flankers = {
				0,
				0,
				0
			},
			grunt_chargers = {
				0,
				0,
				0
			},
			grunt_support_range = {
				0,
				0,
				0
			},
			gerbish_chargers = {
				30,
				30,
				0
			},
			gerbish_rifle_range = {
				30,
				30,
				0
			},
			gerbish_flankers = {
				0,
				0,
				0
			},
			fallschirm_charge = {
				0,
				0,
				30
			},
			fallschirm_support = {
				0,
				0,
				30
			},
			fallschirm_flankers = {
				30,
				30,
				30
			},
			ss_flankers = {
				0,
				0,
				0
			},
			ss_rifle_range = {
				0,
				0,
				0
			},
			ss_chargers = {
				0,
				0,
				0
			},
			flamethrower = {
				0,
				0,
				5
			},
			commanders = {
				10,
				10,
				5
			},
			commander_squad = {
				0,
				0,
				0
			}
		}
	end
end
