function NPCRaycastWeaponBase:_get_spread(user_unit)
	local weapon_tweak = tweak_data.weapon[self._name_id]

	if not weapon_tweak then
		return 3
	end
	
	if weapon_tweak.spread then
		return weapon_tweak.spread
	else
		return 1
	end
end

local mvec_to = Vector3()
local mvec_spread = Vector3()

function NPCRaycastWeaponBase:_fire_raycast(user_unit, from_pos, direction, dmg_mul, shoot_player, target_unit)
	local enemy_type = ""

	if user_unit and user_unit:base() and user_unit:base()._tweak_table and tweak_data.character[user_unit:base()._tweak_table] then
		enemy_type = tweak_data.character[user_unit:base()._tweak_table].type
	end

	local character_data = managers.criminals:character_data_by_unit(user_unit)
	local is_team_ai = character_data ~= nil

	if not is_team_ai and managers.buff_effect:is_effect_active(BuffEffectManager.EFFECT_ENEMY_DOES_DAMAGE) then
		local effect_value_enemy_damage_modifier = managers.buff_effect:get_effect_value(BuffEffectManager.EFFECT_ENEMY_DOES_DAMAGE)
		dmg_mul = dmg_mul * effect_value_enemy_damage_modifier
	end
	
	if miss then
		result.guaranteed_miss = miss

		mvector3.spread(direction, math.rand(unpack(extra_spread)))
	else
		local true_spread = self:_get_spread(user_unit)

		if true_spread > 1 then
			mvector3.spread(direction, true_spread)
		end
	end

	local result = {}
	local hit_unit = nil

	mvector3.set(mvec_to, direction)
	mvector3.multiply(mvec_to, 20000)
	mvector3.add(mvec_to, from_pos)

	local damage = self._damage * (dmg_mul or 1)
	local col_ray = World:raycast("ray", from_pos, mvec_to, "slot_mask", self._bullet_slotmask, "ignore_unit", self._setup.ignore_units)
	local bullet_class = self._bullet_class or InstantBulletBase
	local player_hit, player_ray_data = nil

	if shoot_player and self._hit_player then
		player_hit, player_ray_data = self:damage_player(col_ray, from_pos, direction)

		if player_hit then
			bullet_class:on_hit_player(col_ray or player_ray_data, self._unit, user_unit, damage)
		end
	end

	local char_hit = nil

	if not player_hit and col_ray then
		char_hit = bullet_class:on_collision(col_ray, self._unit, user_unit, damage)
	end

	if (not col_ray or col_ray.unit ~= target_unit) and target_unit and target_unit:character_damage() and target_unit:character_damage().build_suppression then
		target_unit:character_damage():build_suppression(tweak_data.weapon[self._name_id].suppression)
	end
	
	local fhover600ornohitormiss = col_ray and col_ray.distance > 600 or not col_ray or result.guaranteed_miss
	if fhover600ornohitormiss and alive(self._obj_fire) then
		local num_rays = (tweak_data.weapon[self._name_id] or {}).rays or 1
		local trail_direction = col_ray and col_ray.ray or direction

		for i = 1, num_rays do
			mvector3.set(mvec_spread, trail_direction)

			if i > 1 then
				mvector3.spread(mvec_spread, self:_get_spread(user_unit))
			end

			self:_spawn_trail_effect(mvec_spread, col_ray)
		end
	end
	
	result.hit_enemy = char_hit

	if self._alert_events then
		result.rays = {
			col_ray
		}
		end
	return result
end