function PlayerTweakData:_set_difficulty_1()
	self.damage.automatic_respawn_time = 60
	self.damage.MIN_DAMAGE_INTERVAL = 0.35
end

function PlayerTweakData:_set_difficulty_2()
	self.damage.automatic_respawn_time = 60
	self.damage.DOWNED_TIME_DEC = 7
	self.damage.DOWNED_TIME_MIN = 5
	self.damage.MIN_DAMAGE_INTERVAL = 0.35
end

function PlayerTweakData:_set_difficulty_3()
	self.damage.automatic_respawn_time = 90
	self.damage.DOWNED_TIME_DEC = 10
	self.damage.DOWNED_TIME_MIN = 5
	self.damage.MIN_DAMAGE_INTERVAL = 0.3
end

function PlayerTweakData:_set_difficulty_4()
	self.damage.automatic_respawn_time = 90
	self.damage.DOWNED_TIME_DEC = 15
	self.damage.DOWNED_TIME_MIN = 1
	self.damage.MIN_DAMAGE_INTERVAL = 0.3
end

function PlayerTweakData:_init_team_ai_tweak_data()
	self.team_ai = {
		movement = {}
	}
	self.team_ai.movement.speed = {
		WALKING_SPEED = 650
	}
end

function PlayerTweakData:_init_default_class_tweak_data()
	self.class_defaults.default = {
		damage = {}
	}
	self.class_defaults.default.damage.BASE_HEALTH = 100
	self.class_defaults.default.damage.BASE_LIVES = 3
	self.class_defaults.default.damage.BASE_ARMOR = 2
	self.class_defaults.default.damage.DODGE_INIT = 0
	self.class_defaults.default.damage.HEALTH_REGEN = 0
	self.class_defaults.default.damage.FALL_DAMAGE_MIN_HEIGHT = 300
	self.class_defaults.default.damage.FALL_DAMAGE_FATAL_HEIGHT = 1000
	self.class_defaults.default.damage.FALL_DAMAGE_MIN = 4
	self.class_defaults.default.damage.FALL_DAMAGE_MAX = 20
	self.class_defaults.default.stealth = {
		FALL_ALERT_MIN_HEIGHT = 250,
		FALL_ALERT_MAX_HEIGHT = 600,
		FALL_ALERT_MIN_RADIUS = 200,
		FALL_ALERT_MAX_RADIUS = 600
	}
	self.class_defaults.default.movement = {
		speed = {}
	}
	self.class_defaults.default.movement.speed.WALKING_SPEED = 425
	self.class_defaults.default.movement.speed.RUNNING_SPEED = 650
	self.class_defaults.default.movement.speed.CROUCHING_SPEED = 325
	self.class_defaults.default.movement.speed.STEELSIGHT_SPEED = 285
	self.class_defaults.default.movement.speed.AIR_SPEED = 285
	self.class_defaults.default.movement.speed.CLIMBING_SPEED = 200
	self.class_defaults.default.movement.jump_velocity = {
		xy = {},
		z = 500
	}
	self.class_defaults.default.movement.jump_velocity.xy.run = self.class_defaults.default.movement.speed.RUNNING_SPEED
	self.class_defaults.default.movement.jump_velocity.xy.walk = self.class_defaults.default.movement.speed.WALKING_SPEED * 1.2
	self.class_defaults.default.movement.stamina = {
		BASE_STAMINA = 20,
		BASE_STAMINA_REGENERATION_RATE = 3,
		BASE_STAMINA_DRAIN_RATE = 2,
		STAMINA_REGENERATION_DELAY = 1,
		MIN_STAMINA_THRESHOLD = 2,
		JUMP_STAMINA_DRAIN = 2
	}
end

function PlayerTweakData:_init_recon_tweak_data()
	local recon = SkillTreeTweakData.CLASS_RECON
	self.class_defaults[recon] = deep_clone(self.class_defaults.default)
	self.class_defaults[recon].damage.BASE_HEALTH = 100
	self.class_defaults[recon].movement.stamina.BASE_STAMINA = 20
	self.class_defaults[recon].movement.stamina.STAMINA_REGENERATION_DELAY = 1
	self.class_defaults[recon].movement.speed.CROUCHING_SPEED = 425
	self.class_defaults[recon].movement.speed.STEELSIGHT_SPEED = 425
end

function PlayerTweakData:_init_assault_tweak_data()
	local assault = SkillTreeTweakData.CLASS_ASSAULT
	self.class_defaults[assault] = deep_clone(self.class_defaults.default)
	self.class_defaults[assault].damage.BASE_HEALTH = 110
	self.class_defaults[assault].movement.stamina.STAMINA_REGENERATION_DELAY = 1
	self.class_defaults[assault].movement.speed.WALKING_SPEED = 425
	self.class_defaults[assault].movement.speed.RUNNING_SPEED = 585
end

function PlayerTweakData:_init_insurgent_tweak_data()
	local insurgent = SkillTreeTweakData.CLASS_INFILTRATOR
	self.class_defaults[insurgent] = deep_clone(self.class_defaults.default)
	self.class_defaults[insurgent].damage.BASE_HEALTH = 80
	self.class_defaults[insurgent].movement.stamina.BASE_STAMINA = 10
	self.class_defaults[insurgent].movement.stamina.BASE_STAMINA_REGENERATION_RATE = 3
	self.class_defaults[insurgent].movement.stamina.STAMINA_REGENERATION_DELAY = 0.75
	self.class_defaults[insurgent].movement.speed.WALKING_SPEED = 367.5
	self.class_defaults[insurgent].movement.speed.RUNNING_SPEED = 812
end

function PlayerTweakData:_init_demolitions_tweak_data()
	local demolitions = SkillTreeTweakData.CLASS_DEMOLITIONS
	self.class_defaults[demolitions] = deep_clone(self.class_defaults.default)
end